org.eclipse.viatra.cep.core.metamodels.automaton

## Interface ParameterBinding

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    ParameterBindingImpl

      public interface ParameterBinding
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Parameter Binding'.

  The following features are supported:

  - `Symbolic Name`
  - `Value`
  - `Parameter Table`
  See Also:
    `AutomatonPackage.getParameterBinding()`
  Generated:
  Model:

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ParameterTable` | `getParameterTable()` Returns the value of the 'Parameter Table' container reference.
    `java.lang.String` | `getSymbolicName()` Returns the value of the 'Symbolic Name' attribute.
    `java.lang.Object` | `getValue()` Returns the value of the 'Value' attribute.
    `void` | `setParameterTable(ParameterTable value)` Sets the value of the '`Parameter Table`' container reference.
    `void` | `setSymbolicName(java.lang.String value)` Sets the value of the '`Symbolic Name`' attribute.
    `void` | `setValue(java.lang.Object value)` Sets the value of the '`Value`' attribute.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getSymbolicName

          java.lang.String getSymbolicName()

      Returns the value of the 'Symbolic Name' attribute.

      If the meaning of the 'Symbolic Name' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Symbolic Name' attribute.
      See Also:
        `setSymbolicName(String)`, `AutomatonPackage.getParameterBinding_SymbolicName()`
      Generated:
      Model:

    - #### setSymbolicName

          void setSymbolicName(java.lang.String value)

      Sets the value of the '`Symbolic Name`' attribute.
      Parameters:
        `value` - the new value of the 'Symbolic Name' attribute.
      See Also:
        `getSymbolicName()`
      Generated:

    - #### getValue

          java.lang.Object getValue()

      Returns the value of the 'Value' attribute.

      If the meaning of the 'Value' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Value' attribute.
      See Also:
        `setValue(Object)`, `AutomatonPackage.getParameterBinding_Value()`
      Generated:
      Model:

    - #### setValue

          void setValue(java.lang.Object value)

      Sets the value of the '`Value`' attribute.
      Parameters:
        `value` - the new value of the 'Value' attribute.
      See Also:
        `getValue()`
      Generated:

    - #### getParameterTable

          ParameterTable getParameterTable()

      Returns the value of the 'Parameter Table' container reference. It is bidirectional and its opposite is '`Parameter Bindings`'.

      If the meaning of the 'Parameter Table' container reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Parameter Table' container reference.
      See Also:
        `setParameterTable(ParameterTable)`, `AutomatonPackage.getParameterBinding_ParameterTable()`, `ParameterTable.getParameterBindings()`
      Generated:
      Model:
        opposite="parameterBindings" required="true" transient="false"

    - #### setParameterTable

          void setParameterTable(ParameterTable value)

      Sets the value of the '`Parameter Table`' container reference.
      Parameters:
        `value` - the new value of the 'Parameter Table' container reference.
      See Also:
        `getParameterTable()`
      Generated: